---
lang: en
title: 'API docs: rest.requestbodyparser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestbodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestBodyParser](./rest.requestbodyparser.md)

## RequestBodyParser class

**Signature:**

```typescript
export declare class RequestBodyParser 
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(parsers, ctx)](./rest.requestbodyparser._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `RequestBodyParser` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[parsers](./rest.requestbodyparser.parsers.md)


</td><td>

`readonly`


</td><td>

[BodyParser](./rest.bodyparser.md)<!-- -->\[\]


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[loadRequestBodyIfNeeded(operationSpec, request)](./rest.requestbodyparser.loadrequestbodyifneeded.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


